ListApplications
Note
Amazon Q Business will no longer be open to new customers starting on July 31, 2026. If you would like to use the service, please sign up prior to July 30. For capabilities similar to Q Business, explore Amazon Quick. Learn more.
Lists Amazon Q Business applications.
Note
Amazon Q Business applications may securely transmit data for processing across AWS Regions within your geography. For more information, see Cross region inference in Amazon Q Business.
Request Syntax
GET /applications?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
The maximum number of Amazon Q Business applications to return.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
If the
maxResultsresponse was incomplete because there is more data to retrieve, Amazon Q Business returns a pagination token in the response. You can use this pagination token to retrieve the next set of Amazon Q Business applications.Length Constraints: Minimum length of 1. Maximum length of 800.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applications": [
{
"applicationId": "string",
"createdAt": number,
"displayName": "string",
"identityType": "string",
"quickSightConfiguration": {
"clientNamespace": "string"
},
"status": "string",
"updatedAt": number
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applications
-
An array of summary information on the configuration of one or more Amazon Q Business applications.
Type: Array of Application objects
- nextToken
-
If the response is truncated, Amazon Q Business returns this token. You can use this token in a subsequent request to retrieve the next set of applications.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 800.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You don't have access to perform this action. Make sure you have the required permission policies and user accounts and try again.
HTTP Status Code: 403
- InternalServerException
-
An issue occurred with the internal server used for your Amazon Q Business service. Wait some minutes and try again, or contact Support
for help. HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to throttling. Reduce the number of requests and try again.
HTTP Status Code: 429
- ValidationException
-
The input doesn't meet the constraints set by the Amazon Q Business service. Provide the correct input and try again.
- fields
-
The input field(s) that failed validation.
- message
-
The message describing the
ValidationException. - reason
-
The reason for the
ValidationException.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: